SIGIGNORE(3)

NAME
sigignore - manipulate signal dispositions

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sigignore(int sig);

DESCRIPTION
This interface is made obsolete by sigaction(2).

The sigignore() function sets the disposition of the signal sig to SIG_IGN.

RETURN VALUES
If successful, the sigignore() function returns 0. Otherwise -1 is returned and errno is set to indicate the error.

ERRORS
The sigignore() function will fail if:

[EINVAL]
    The argument sig is not a valid signal number; or an attempt is made to ignore a signal that cannot be ignored, such as SIGKILL or SIGSTOP.

SEE ALSO
sigaction(2)

STANDARDS
The sigignore() function conforms to p1003.1-2001. It was however marked as obsolete in the p1003.1-2008 revision of the standard.